/ lang / type / date
Date
Syntax

    DIM Var AS Date

This native datatype represents a date & time value.

Dates are stored internally as a couple of integer numbers:

- The first is the number of days since the Gambas epoch, a arbitrary day about 8000 years B.C.
- The last is the number of microseconds since midnight.

| Date are stored in UTC. They are converted to local time only when being displayed.

Dates can be converted to numbers. Then the number returned is the number of days stored internally and the fraction of day represented by the number of microseconds.

### Examples

    PRINT Now;; "-";; CFloat(Now)
    <hr>07/13/2005 02:20:08 - 2485669.138981

### See also

Datatypes